module.exports = {
  lintOnSave: true,
  productionSourceMap: false,
  configureWebpack: {
    devtool: "source-map"
  },
  devServer: {
    disableHostCheck: true,
    compress: true,
    // 端口配置
    port: 6258,
    // 反向代理配置
    proxy: {
      "/api": {
        target: "https://aicpapitest.xhkjedu.com",
        changeOrigin: true,
        ws: true,
        pathRewrite: {
          "^/api": "/"
        }
      }
    }
  }
};
